.sorting {
    top: 54px;
    right: -1px;
}

.sorting__container {
    display: none;
}

.sorting .btn {
    min-width: auto;
    position: fixed;
    padding: 0;
    top: 24px;
    right: 16px;
}

.sorting__title {
    text-align: center;
    margin: 76px 0 20px;
}

.sorting__divider {
    border-bottom: 1px solid var(--border-color-light);
}

@media (max-width: 576px) {
    .sorting {
        width: 100%;
        height: 100%;
        padding: 0 16px !important;
        position: fixed !important;
        top: 0;
        left: 0;
        border: none !important;
    }

    .sorting a {
        justify-content: center;
    }

    .sorting__container {
        display: block;
    }
}